nano-banana-2/text-to-image
nano-banana-2-text-to-image-economy
パラメーター
リクエストのプレビュー
{
"model": "nano-banana-2-text-to-image-economy",
"input": {
"aspectRatio": "9:16",
"resolution": "1k"
}
}Web Playground はサインイン中のセッションでこのボディを送信します。コードからは同じボディを API キーとともに送信してください。
見積もり料金
料金を読み込み中…
タスクが受け付けられるとクレジットが確保され、成功した場合のみ課金されます。失敗したタスクは確保を解除し、結果未確定のものは確認まで確保されたままです。
できること
A lightweight text-to-image endpoint engineered for high-concurrency and rapid response. As the core of Nano Banana 2, it balances visual fidelity with high throughput, instantly transforming text prompts into high-quality assets. Ideal for modern API platforms requiring real-time previews, rapid iteration, or large-scale batch generation.
入力パラメーター
このモデルが受け付けるフィールドのみです。必須フィールドは必ず指定してください。
| フィールド | 型 | 必須 | デフォルト | 許可される値と制約 |
|---|---|---|---|---|
prompt | string | 必須 | — | |
aspectRatio | string | 任意 | "9:16" | 選択肢: |
resolution | string | 必須 | "1k" | 選択肢: |
制限と動作
- 非同期のみ:タスクを送信してから結果をポーリングします。
エンドポイント
すべてのモデルは 1 つの非同期ジョブ API を共有します。このモデルは slug で選択されます。
POST https://api.hermes-ai.net/api/v1/jobs
{
"model": "nano-banana-2-text-to-image-economy",
"input": {
"prompt": "A lighthouse on a rocky coast at sunrise, soft light",
"resolution": "1k"
}
}その後、 GET /api/v1/jobs/{id} をステータスが終了状態になるまでポーリングします。
認証
送信には jobs:create、ポーリングには jobs:read 権限を持つ API キーを送ってください。
| ヘッダー | 値 | 備考 |
|---|---|---|
Authorization | Bearer <API key> | または x-api-key でキーを送信します。 |
Content-Type | application/json | |
Idempotency-Key | <unique string ≤128> | 必須。まったく同じリクエストを再試行する場合のみ再利用してください。 |
リクエストボディ
| フィールド | 型 | 必須 | 備考 |
|---|---|---|---|
model | string | 必須 | カタログのモデル slug。 |
input | object | 必須 | モデルの入力スキーマのフィールド。 |
expectedPriceMicros | integer | 任意 | ユーザーに表示した料金。一致しない場合は課金前に 409 PRICE_CHANGED が返されます。 |
input フィールド
不明なフィールドは INVALID_MODEL_INPUT で拒否されます。
| フィールド | 型 | 必須 | デフォルト | 許可される値と制約 |
|---|---|---|---|---|
prompt | string | 必須 | — | |
aspectRatio | string | 任意 | "9:16" | 選択肢: |
resolution | string | 必須 | "1k" | 選択肢: |
レスポンス
新しいタスクは 202、Idempotency-Key の再送が一致した場合は 200 を返します。GET /api/v1/jobs/{id} は replayed を除いた同じ形式を返します。
| フィールド | 型 | 備考 |
|---|---|---|
id | string | Hermes AI のタスク ID。ポーリングに使用します。 |
model | string | モデル slug。 |
status | string | タスクのステータスを参照。 |
errorCode | string | null | タスクが失敗した場合や確認が必要な場合に設定されます。 |
priceMicros | integer | 受付時に確定した見積もり(USD マイクロ単位)。 |
currency | "USD" | |
createdAt / updatedAt | string | ISO 8601 形式のタイムスタンプ。 |
assets[] | array | { id, type, url?, text? }。url は同一オリジンの /api/v1/results/<uuid> リンクです。 |
replayed | boolean | 送信時のみ。冪等な再試行が一致した場合は true。 |
タスクのステータス
| ステータス | 終了状態 | 意味 |
|---|---|---|
queued | いいえ | 受け付け済みで、ワーカーを待っています。 |
submitting | いいえ | モデルプロバイダーに送信中です。 |
running | いいえ | モデルが生成中です。 |
succeeded | はい | 完了しました。結果は assets にあります。 |
failed | はい | 結果なしで終了しました。予約は解放されます。 |
reconciliation_required | はい | The result is being verified. Keep the task ID and do not resubmit automatically. |
エラー
すべてのエラーボディは { code, error } です。code で処理してください。
| HTTP | コード | 意味と対応 |
|---|---|---|
401 | AUTH_REQUIRED | API キーまたはセッションがない、または無効です。 |
403 | INSUFFICIENT_SCOPE | API キーにこのエンドポイントで必要な権限がありません。 |
403 | PERMISSION_DENIED | この認証情報ではこの操作を実行できません。 |
429 | API_KEY_RATE_LIMITED | API キーのレート制限に達しました。Retry-After に従ってください。 |
429 | API_KEY_USAGE_EXCEEDED | API キーが使用上限に達しました。新しいキーを作成してください。 |
400 | INVALID_REQUEST | ボディが JSON オブジェクトではないか、必須の値がありません。 |
400 | INVALID_IDEMPOTENCY_KEY | Idempotency-Key は 1〜128 文字の印字可能な ASCII 文字である必要があります。 |
400 | INVALID_MODEL_INPUT | input がモデルのスキーマと一致しません(不明なフィールド、必須フィールドの欠落、または無効な値)。 |
400 / 413 | INPUT_TOO_LARGE | リクエストボディが 256 KB を超えています。先にメディアをアップロードし、メディア参照を送信してください。 |
404 | REQUEST_NOT_FOUND | No chat request with this ID belongs to your account. |
404 | MODEL_NOT_FOUND | この slug のモデルはありません。 |
404 | JOB_NOT_FOUND | この ID のタスクはお客様のアカウントに存在しません。 |
409 | IDEMPOTENCY_CONFLICT | この Idempotency-Key は別の入力で使用されています。新しいリクエストには新しいキーを使ってください。 |
409 | PRICE_CHANGED | 料金が expectedPriceMicros と異なります。料金を取得して再度確認してください。 |
409 | MODEL_PRICE_UNAVAILABLE | このモデルにはまだ料金が設定されていないため、実行できません。 |
409 | PAYMENT_REVIEW_REQUIRED | A refund left an uncovered balance. Contact support or cover the balance before submitting tasks. |
409 | INSUFFICIENT_CREDITS | 利用可能なクレジットがタスクの料金に足りません。 |
429 | RATE_LIMITED | 1 分あたりのタスク送信数が多すぎます。後で再試行してください。 |
429 | CONCURRENCY_LIMITED | 未完了のタスクが多すぎます。いずれかが完了するまでお待ちください。 |
503 | EXECUTION_UNAVAILABLE | 現在、このモデルの実行は設定されていません。 |
429 | UPSTREAM_RATE_LIMITED | The model provider is rate limiting chat requests. Retry with backoff; nothing was charged. |
502 | UPSTREAM_ERROR | The model provider failed the chat request. Nothing was charged; retry later. |
503 | PLATFORM_BUDGET_EXCEEDED | This model is temporarily unavailable. Try again later. |
503 | EXECUTION_TEMPORARILY_UNAVAILABLE | 一時的に実行できません。同じ Idempotency-Key で再試行してください。 |
503 | AUTH_UNAVAILABLE | 一時的に認証を利用できません。後で再試行してください。 |
503 | API_UNAVAILABLE | 一時的に API を利用できません。後で再試行してください。 |
Hermes AI 価格
料金を読み込み中…
リアルタイムの料金表を読み込めませんでした。再読み込みしてもう一度お試しください。
公式定価
チャネル割引前のメーカー標準 API 料金(USD)。単位と仕様は公式の出典に準拠します。
このモデルの公式価格は未確認です。
コストに影響する要素
Resolution, duration and output quantity can affect the quote. Review the rate card and the Playground quote before submitting.
- · Only successful tasks are charged. Failed tasks release reserved credits; tasks with an unconfirmed outcome keep their reservation until the result is verified.
- · 同じキーによる冪等な再試行で二重に課金されることはありません。
- · expectedPriceMicros を送ると、表示後に料金が変わった場合に PRICE_CHANGED でタスクを拒否できます。
見積もり
Select the specifications in Playground to see the task quote.
// 請求
請求の仕組み
Tasks use prepaid credits. Add credits on the Billing page; your balance updates after payment confirmation.
| タイミング | 影響 |
|---|---|
| Task accepted | The quoted amount is reserved from your balance. |
| Task succeeded | The reserved amount is charged once. |
| Task failed | The reserved amount is returned to your available balance. |
Tasks with an unconfirmed outcome keep their reserved credits until the result is verified. Keep the task ID and contact support if you need help.
Payment refunds are reflected in your balance and transaction history on the Billing page.
最小リクエスト
必須フィールドのみで、このモデルのスキーマから生成されています。環境変数に HERMES_API_KEY を設定してください。
# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
-H "Authorization: Bearer $HERMES_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"model": "nano-banana-2-text-to-image-economy",
"input": {
"prompt": "A lighthouse on a rocky coast at sunrise, soft light",
"resolution": "1k"
}
}'
# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
-H "Authorization: Bearer $HERMES_API_KEY"ドキュメント記載のデフォルト値付き
各オプションのデフォルト値を書き出した同じリクエストです。変更すべき箇所がわかります。
# 1. Submit the task (asynchronous; returns 202 with a task id)
curl -X POST https://api.hermes-ai.net/api/v1/jobs \
-H "Authorization: Bearer $HERMES_API_KEY" \
-H "Content-Type: application/json" \
-H "Idempotency-Key: $(uuidgen)" \
-d '{
"model": "nano-banana-2-text-to-image-economy",
"input": {
"prompt": "A lighthouse on a rocky coast at sunrise, soft light",
"resolution": "1k",
"aspectRatio": "9:16"
}
}'
# 2. Poll until status is succeeded, failed or reconciliation_required
curl https://api.hermes-ai.net/api/v1/jobs/TASK_ID \
-H "Authorization: Bearer $HERMES_API_KEY"